#ifndef PLUGINSTATE_H
#define PLUGINSTATE_H

#include <QObject>

namespace UkuiShortcut {

class PluginStateType
{
    Q_GADGET
public:
    enum AddState {
        Add = 0, //已添加
        NotAdd,  //未添加
    };
    Q_DECLARE_FLAGS(AddStates, AddState)
    Q_ENUM(AddState)

    enum FixState {
        Fix = 0, //已固定
        NotFix,  //未固定
    };
    Q_DECLARE_FLAGS(FixStates, FixState)
    Q_ENUM(FixState)
};
}
#endif // PLUGINSTATE_H
